Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - u -

- U32TO8_LE : siphash.c
- U64TO8_LE : siphash.c
- U8TO32_LE : siphash.c
- U8TO64_LE : siphash.c
- u_int : vsnprintf.c
- u_long : vsnprintf.c
- u_short : vsnprintf.c
- UARG : vsnprintf.c
- UChar : ripper.y , oniguruma.h
- UCS_MAP_ASCII : nkf.c
- UCS_MAP_CP10001 : nkf.c
- UCS_MAP_CP932 : nkf.c
- UCS_MAP_MS : nkf.c
- UI8_2_NUM : win32ole.c
- UIDT2NUM : ruby.h
- UINT2NUM : ripper.y , ruby.h
- uint64_t : siphash.h
- ULL : sha2.c
- ULLong : util.c
- ULONG2NUM : ripper.y , ruby.h
- ULONG_MAX_PLUS_ONE : numeric.c
- UMASK : random.c
- UNALIGNED_ADD : st.c
- UNALIGNED_ADD_4 : st.c
- UNALIGNED_ADD_ALL : st.c
- UNALIGNED_WORD_ACCESS : st.c , siphash.c
- UNDEF : transcode_data.h
- UNDEF_ALLOC_FUNC : vm_method.c
- undef_getter : variable.c
- undef_marker : variable.c
- undef_setter : variable.c
- undefined_error : error.c
- UNDEFINED_METHOD_ENTRY_P : method.h
- UNESCAPE : dir.c
- ungetc : nkf.c
- UNI_MAX_BMP : generator.h
- UNI_MAX_LEGAL_UTF32 : generator.h
- UNI_MAX_UTF16 : generator.h
- UNI_MAX_UTF32 : generator.h
- UNI_REPLACEMENT_CHAR : generator.h , parser.h
- UNI_STRICT_CONVERSION : generator.h
- UNI_SUR_HIGH_END : generator.h , parser.h
- UNI_SUR_HIGH_START : generator.h , parser.h
- UNI_SUR_LOW_END : generator.h , parser.h
- UNI_SUR_LOW_START : generator.h , parser.h
- UNICODE_BMP_MAX : nkf.c
- UNICODE_MAX : nkf.c
- UNICODE_NORMALIZATION : config.h
- uninit_genrand : random.c
- UNINITIALIZED_VAR : vm_core.h , vsnprintf.c
- universal_newline : newline.c
- universal_newline_infos : newline.c
- universal_newline_offsets : newline.c
- UNIX_EPOCH_IN_CJD : date_core.c
- UNLIKELY : vm_core.h
- UNLIMITED_ARGUMENTS : ripper.y , intern.h
- UNPACK_PUSH : pack.c
- UNREACHABLE : ruby.h
- UNSET_WHEN : ruby.c
- UNSET_WHEN_DISABLE : ruby.c
- unsetenv : util.h
- UNSPECIFIED_ENCODING : encoding.c
- UPDATE_CALLBACK : hash.c
- USE_BACKREF_WITH_LEVEL : regint.h
- USE_CAPITAL_P_NAMED_GROUP : regint.h
- USE_CONSERVATIVE_STACK_END : gc.h
- USE_CRNL_AS_LINE_TERMINATOR : ripper.y , regenc.h
- USE_DEV_URANDOM : random.c
- USE_EVLOOP_THREAD_ALONE_CHECK_FLAG : tcltklib.c
- USE_FIND_LONGEST_SEARCH_ALL_OF_RANGE : regint.h
- USE_FLONUM : ruby.h
- USE_IC_FOR_IVAR : vm_insnhelper.c
- USE_IC_FOR_SPECIALIZED_METHOD : vm_insnhelper.h
- USE_INSERT_IGNORE_ESCAPE : readline.c
- USE_INSN_STACK_INCREASE : compile.c
- USE_MONOMANIAC_CHECK_CAPTURES_IN_ENDLESS_REPEAT : regint.h
- USE_NAMED_GROUP : regint.h
- USE_NATIVE_THREAD_PRIORITY : thread.c
- USE_NEWLINE_AT_END_OF_STRING_HAS_EMPTY_LINE : regint.h
- USE_NO_INVALID_QUANTIFIER : regint.h
- USE_NTFS : file.c
- USE_OP_PUSH_OR_JUMP_EXACT : regint.h
- USE_PACK : date_core.c
- USE_PARSE_TREE_NODE_RECYCLE : regint.h
- USE_PERL_SUBEXP_CALL : regint.h
- USE_POSIX_API_REGION_OPTION : regint.h
- USE_QTFR_PEEK_NEXT : regint.h
- USE_RUBY_ALLOC : tcltklib.c
- USE_SHARED_CCLASS_TABLE : regint.h
- USE_SPAWNV : process.c
- USE_ST_LIBRARY : regint.h
- USE_SUBEXP_CALL : regint.h
- USE_SUNDAY_QUICK_SEARCH : regint.h
- USE_SYMBOL_AS_METHOD_NAME : ruby.h , ripper.y
- USE_THREAD_DATA_RECYCLE : vm.c
- USE_TOGGLE_WINDOW_MODE_FOR_IDLE : tcltklib.c
- USE_UNICODE_PROPERTIES : regenc.h , ripper.y
- USE_UPPER_CASE_TABLE : regint.h
- USE_VARIABLE_META_CHARS : regint.h
- USE_WARNING_REDUNDANT_NESTED_REPEAT_OPERATOR : regint.h
- USE_WORD_BEGIN_END : regint.h
- UTF16_IS_SURROGATE_FIRST : regenc.h , ripper.y
- UTF16_IS_SURROGATE_SECOND : regenc.h , ripper.y
- UTF16_TO_UTF32 : nkf.c
- UTF8_INPUT_ENABLE : config.h
- UTF8_OUTPUT_ENABLE : config.h
- utf8_to_wstr : win32.c
- utime_failed : file.c
- UWIDEINT_MAX : time.c